Bug 237736 - math/py-rpy2: Broken on FreeBSD: doesn't recognize the system
Summary: math/py-rpy2: Broken on FreeBSD: doesn't recognize the system
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-03 17:56 UTC by Yuri Victorovich
Modified: 2019-05-15 15:57 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
patch to recognize FreeBSD as a valid system (726 bytes, patch)
2019-05-04 09:51 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2019-05-03 17:56:54 UTC
Testcase:
> from rpy2.robjects.packages import importr
> utils = importr('utils')

Output:
Traceback (most recent call last):
  File "rama.py", line 1, in <module>
    from rpy2.robjects.packages import importr
  File "/usr/local/lib/python3.6/site-packages/rpy2/robjects/__init__.py", line 14, in <module>
    import rpy2.rinterface as rinterface
  File "/usr/local/lib/python3.6/site-packages/rpy2/rinterface.py", line 4, in <module>
    from rpy2.rinterface_lib import openrlib
  File "/usr/local/lib/python3.6/site-packages/rpy2/rinterface_lib/openrlib.py", line 21, in <module>
    rlib = _dlopen_rlib(R_HOME)
  File "/usr/local/lib/python3.6/site-packages/rpy2/rinterface_lib/openrlib.py", line 16, in _dlopen_rlib
    lib_path = rpy2.situation.get_rlib_path(r_home, platform.system())
  File "/usr/local/lib/python3.6/site-packages/rpy2/situation.py", line 71, in get_rlib_path
    raise ValueError('The system "%s" is not supported.')
ValueError: The system "%s" is not supported.
Comment 1 Rainer Hurling 2019-05-04 09:51:48 UTC
Created attachment 204213 [details]
patch to recognize FreeBSD as a valid system

Hi Yuri,

It seems to be only a small problem with the detection of FreeBSD as a valid system. The attached patch should solve this.
Comment 2 Yuri Victorovich freebsd_committer 2019-05-04 16:24:00 UTC
(In reply to Rainer Hurling from comment #1)

Hi Rainer,

Thank you for the patch!

Yuri
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-05-15 15:56:28 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2019-05-15 15:57:50 UTC
A commit references this bug:

Author: sunpoet
Date: Wed May 15 15:56:07 UTC 2019
New revision: 501733
URL: https://svnweb.freebsd.org/changeset/ports/501733

Log:
  Fix runtime system detection

  - Bump PORTREVISION for package change

  PR:		237736
  Submitted by:	yuri, Rainer Hurling <rhurlin@gwdg.de>

Changes:
  head/math/py-rpy2/Makefile
  head/math/py-rpy2/files/
  head/math/py-rpy2/files/patch-rpy-situation.py